// Copyright (c) Microsoft Corporation. All rights reserved.
// SPDX-License-Identifier: MIT

/**
 * @file
 *
 * @brief Azure Core public headers.
 *
 * @note You MUST NOT use any symbols (macros, functions, structures, enums, etc.)
 * prefixed with an underscore ('_') directly in your application code. These symbols
 * are part of Azure SDK's internal implementation; we do not document these symbols
 * and they are subject to change in future versions of the SDK which would break your code.
 */

#ifndef _az_CORE_H
#define _az_CORE_H

#include <az_base64.h>
#include <az_config.h>
#include <az_context.h>
#include <az_credentials.h>
#include <az_http.h>
#include <az_http_transport.h>
#include <az_json.h>
#include <az_log.h>
#include <az_platform.h>
#include <az_precondition.h>
#include <az_result.h>
#include <az_span.h>
#include <az_version.h>

#endif //_az_CORE_H
